=== debian/changelog ===
bioawk (1.0-5) unstable; urgency=medium

  * Team upload.
  [ Nilesh Patra ]
  * Remove myself from uploaders.
  [ Santiago Vila ]
  * debian/rules: Add --no-parallel to avoid the effects of a Makefile bug which
    makes the package to FTBFS randomly. Closes: #1068341.

 -- Santiago Vila <sanvila@debian.org>  Thu, 04 Apr 2024 18:50:00 +0200

bioawk (1.0-4) unstable; urgency=medium

  * d/p/cross.patch: Fix non-cross buildability
  * Use dpkg buildtools to set CC and CC_FOR_BUILD
    (Closes: #985410)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 17 Mar 2021 22:23:42 +0530

bioawk (1.0-3) unstable; urgency=medium

  * Change test dependency from swarm to
    seqkit-examples so as to test on all architectures

 -- Nilesh Patra <nilesh@debian.org>  Sun, 28 Feb 2021 20:37:56 +0530

bioawk (1.0-2) unstable; urgency=medium

  * Source-only-upload

 -- Nilesh Patra <nilesh@debian.org>  Sat, 27 Feb 2021 20:00:38 +0530

bioawk (1.0-1) unstable; urgency=medium

  * Initial release (Closes: #982544)

 -- Steffen Moeller <moeller@debian.org>  Thu, 11 Feb 2021 14:16:31 +0100
