=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%bioawk-$1.tar.gz%" \
   https://github.com/lh3/bioawk/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
